# Generated by Django 2.0.5 on 2022-06-14 11:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('sales', '0010_agreement'),
    ]

    operations = [
        migrations.AddField(
            model_name='agreementtemplate',
            name='is_current_version',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='agreementtemplate',
            name='parent_template',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='child_template', to='sales.AgreementTemplate'),
        ),
        migrations.AddField(
            model_name='agreementtemplate',
            name='root_template',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='children', to='sales.AgreementTemplate'),
        ),
        migrations.AlterUniqueTogether(
            name='agreementtemplate',
            unique_together=set(),
        ),
    ]
